=== src/Network/HLA/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
	hla.cxx
	)
	
flightgear_component(HLA "${SOURCES}")
