=== test_suite/system_tests/Instrumentation/CMakeLists.txt ===
set(TESTSUITE_SOURCES
    ${TESTSUITE_SOURCES}
    ${CMAKE_CURRENT_SOURCE_DIR}/TestSuite.cxx
    #${CMAKE_CURRENT_SOURCE_DIR}/testgps.cxx
    PARENT_SCOPE
)

set(TESTSUITE_HEADERS
    ${TESTSUITE_HEADERS}
    #${CMAKE_CURRENT_SOURCE_DIR}/testgps.hxx
    PARENT_SCOPE
)
