=== debian/changelog ===
flightgear (1:2020.3.18+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
  * Drop transition for old debug package migration.
    Changes-By: lintian-brush
    Fixes: lintian: debug-symbol-migration-possibly-complete
    See-also: https://lintian.debian.org/tags/debug-symbol-migration-possibly-complete.html
  * Update standards version to 4.6.2, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Dr. Tobias Quathamer ]
  * Add gbp.conf for DEP-14 repository layout
  * New upstream version 2020.3.18+dfsg
    - Refresh patches
    - Update versioned Build-Dependencies to new data packages
  * Use UTC timestamp for reproducibility.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #996679)
  * Fix build on riscv64.
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org>
    (Closes: #1025904)
  * Add libevent-dev to support swift for Virtual Air Traffic Networks.
    (Closes: #1035370)
  * Replace obsolete libgl1-mesa-dev with libgl-dev
  * Remove myself from Uploaders

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 09 Jul 2023 14:11:00 +0200
