=== debian/changelog ===
flightgear (1:2020.3.19+dfsg-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:21:47 +0300

flightgear (1:2020.3.19+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2020.3.19+dfsg
    - New patch: move checkIORules() to SGPath::NasalIORulesChecker()
      Thanks to Florent Rougon <f.rougon@frougon.net>
  * Update versioned Build-Dependencies to new packages
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Jan 2025 13:23:50 +0100

flightgear (1:2020.3.18+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to fix build with 64-bit time_t on 32-bit architectures.
    Closes: #1068038.
  * Bump libsimgear-dev build-dependency to a version that is built with
    the new time_t ABI.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Apr 2024 12:30:07 +0300
