## flightgear 2020.3.19%2bdfsg

=== debian/changelog ===
flightgear (1:2020.3.19+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1096639)
  * Fix FTBFS with CMake 4. (Closes: #1112921)
  * debian/control: Update Homepage.

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Oct 2025 20:54:04 +0300
