## flightgear 2020.3.19+dfsg

=== 3rdparty/mongoose/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
	mongoose.c
	)

set(HEADERS
	mongoose.h
	)

flightgear_component(Mongoose "${SOURCES}" "${HEADERS}")
