=== utils/TerraSync/CMakeLists.txt ===

#add_executable(terrasync terrasync.cxx)

#target_link_libraries(terrasync SimGearCore)

#install(TARGETS terrasync RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
