=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               flightgear-data-ai (>= 1:2020.3.18~),
-               flightgear-data-base (>= 1:2020.3.18~),
+               flightgear-data-ai (>= 1:2020.3.19~),
+               flightgear-data-base (>= 1:2020.3.19~),
                flite1-dev,
                libboost-dev,
                libcurl4-gnutls-dev,
@@ -24,7 +24,7 @@
                libplib-dev,
                libqt5svg5-dev,
                libsimgear-dev (<= 1:2020.3.999),
-               libsimgear-dev (>> 1:2020.3.18~),
+               libsimgear-dev (>= 1:2020.3.19~),
                libspeex-dev,
                libspeexdsp-dev,
                libsqlite3-dev,
@@ -38,7 +38,7 @@
                qtdeclarative5-private-dev [!armel !armhf],
                qttools5-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/flightgear
 Vcs-Git: https://salsa.debian.org/debian/flightgear.git
 Homepage: https://home.flightgear.org/
@@ -46,7 +46,7 @@
 
 Package: flightgear
 Architecture: any
-Depends: flightgear-data-all (>= 1:2020.3.18~),
+Depends: flightgear-data-all (>= 1:2020.3.19~),
          qml-module-qtquick-window2 [!armel !armhf],
          qml-module-qtquick2 [!armel !armhf],
          ${misc:Depends},
