## flightgear 2024.1.3%2bdfsg

=== debian/changelog ===
flightgear (1:2024.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * /usr/share/cdbs/1/rules/utils.mk is gone, please use licenserecon instead

  [ Dr. Tobias Quathamer ]
  * New upstream version 2024.1.3+dfsg (Closes: #1104647)
    - Remove patches that have been applied upstream
    - Refresh patches
    - New patch: Fix upstream test suite name
    - Update versioned Build-Dependencies to new packages
  * Update d/watch to v5
  * Update homepage
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3
  * Remove Rules-Requires-Root from d/control
  * Use wrap-and-sort -astkb
  * Remove package for kfreebsd-any from Build-Depends. The port has been
    removed from Debian.
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 17 Jan 2026 00:32:06 +0100
